注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

liangxh2008的博客

 
 
 

日志

 
 

Linux系统中自带Mysql、Apache、Php卸载  

2010-05-12 20:14:48|  分类: 网站建设 |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

卸载步骤如下:

 

卸载Mysql

[root@localhost ~]# rpm -qa|grep mysql

mod_auth_mysql-2.6.1-2.2

php-mysql-4.3.9-3.15

mysql-devel-4.1.20-1.RHEL4.1

mysql-4.1.20-1.RHEL4.1

mysqlclient10-3.23.58-4.RHEL4.1

libdbi-dbd-mysql-0.6.5-10.RHEL4.1

 

说明:rpm –qa | grep mysql 命令是为了把mysql相关的包都列出来,我上面的例子是Linux AS4默认安装mysql的rpm软件包列表,如果是别的Linux版本列出来的列表有可能会不一样,不过不用担心,不管是什么,卸载都从最下面的一个包开始,直到卸载掉第一个为止。

 

比如:在这个例子中,我们应该先卸载libdbi-dbd-mysql-0.6.5-10.RHEL4.1 方法如下:rpm –e -dbd-mysql-0.6.5-10.RHEL4.1

 

说明:rpm –e 是卸载rpm包的命令,后面是包名称,最后的版本号是不用打的,比如我们下一步卸载mysqlclient10-3.23.58-4.RHEL4.1包,方法如下:

 

rpm –e mysqlclient

 

卸载Apache

[root@localhost ~]# rpm -qa|grep httpd

httpd-manual-2.0.52-25.ent

system-config-httpd-1.3.1-1

httpd-2.0.52-25.ent

httpd-suexec-2.0.52-25.ent

 

说明:方法跟卸载Mysql一样,不用说了吧

 

卸载PHP

[root@localhost ~]# rpm -qa|grep php

php-odbc-4.3.9-3.15

php-4.3.9-3.15

php-mysql-4.3.9-3.15

php-pear-4.3.9-3.15

php-ldap-4.3.9-3.15

php-pgsql-4.3.9-3.15

 

说明:方法跟卸载Mysql一样,不用说了吧

 

注意:卸载的时候如果卸载不掉,系统一般会提示包的依赖关系,并且列出依赖的包的名称,先卸载提示依赖的包就可以了。

 

如果实在实在有卸载不掉的包,可以加—nodeps这个参数来卸载,比如我们卸载php-4.3.9-3.15,实在卸不掉了。

 

就用:

[root@localhost ~]# rpm -e php-4.3.9-3.15 --nodeps

  评论这张
 
阅读(276)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017